from django import forms
from .models import Todo


class TodoForm(forms.Form):
    title = forms.CharField(max_length=15, min_length=3, required=True, label="Заголовок", error_messages={
        'required': "Введи пожалуйста",
        'max_length': "Слишком много!"
    })
    status = forms.ChoiceField(choices=Todo.STATUS_CHOICES, required=True, label="Статус")
    deadline = forms.DateTimeField(required=True, label="Дедлайн")
