from django.shortcuts import render, redirect
from .models import Todo
from .forms import TodoForm


# Create your views here.


def home_page(request):
    todos = Todo.objects.all()
    context = {
        'todos': todos
    }
    return render(request, "index.html", context)


def create_todo_page(request):
    if request.method == "GET":
        form = TodoForm()
        choices = Todo.STATUS_CHOICES
        context = {
            "choices": choices,
            "form": form
        }
        return render(request, "create_todo.html", context)
    elif request.method == "POST":
        form = TodoForm(request.POST)
        if form.is_valid():
            Todo.objects.create(title=request.POST.get("title"), status=request.POST.get('status'),
                                deadline=request.POST.get("deadline"))
            return redirect("/")
        else:
            context = {
                'form': form
            }
            return render(request, "create_todo.html", context)
        # if len(title) < 3:
        #     choices = Todo.STATUS_CHOICES
        #     context = {
        #         "choices": choices,
        #         "error_title": "Длина должна быть больше 3"
        #     }
        #     return render(request, "create_todo.html", context)

        # return redirect("/")
